X2Go Bug report logs - #273
x2goruncommand uses hard-coded path to Xinerama libraries

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 24 Jul 2013 05:01:31 UTC

Severity: normal

Tags: pending

Fixed in version 4.0.1.5

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#269; Package libnx-x11. (Wed, 24 Jul 2013 05:01:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 24 Jul 2013 05:01:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: Xinerama not working on RPM based distros
Date: Wed, 24 Jul 2013 06:58:52 +0200
[Message part 1 (text/plain, inline)]
Package: libnx-x11
Version: 3.5.0.20

Hi Jan,

quoting from IRC...

18:27 < dlmcob> sunweaver: regarding xinerama, I installed ubuntu  
12.04 and installed x2go server.
                using the same client (fedora 19) it works fine - so  
it seems fedora19 x2goserver
                is to blame

[...]

23:41 < dlmcob> Also, on fedora 19 server, the packaging is incorrect  
w.r.t paths in
                x2goruncommand (for xinerama again)
23:42 < dlmcob> There is at attempt to "override" the libXinerama.so.1  
and libXinerama.so.1.0 by
                creating a "special" directory with these .so files
23:42 < dlmcob> (which are actually links to libNX_Xinerama.so.1 etc)
23:43 < dlmcob> On ubuntu install, these links are created in  
/usr/lib/nx/X11/Xinerama
23:43 < dlmcob> and this path is hardcoded in x2goruncommand
23:43 < dlmcob> however, in fedora install, these links (and the  
directory) are never created.
23:45 < dlmcob> creating the directory by hand and creating the links  
by hand and it's working in
                fedora 19 client and server (with the hack mentioned  
above still in place)


Can you take a look?

Thanks,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) rpm-packages. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Wed, 24 Jul 2013 05:07:26 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#269; Package libnx-x11. (Sun, 28 Jul 2013 00:01:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:04 GMT) Full text and rfc822 format available.

Message #12 received at 269@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 269@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#269: Xinerama not working on RPM based distros
Date: Sun, 28 Jul 2013 02:00:54 +0200
[Message part 1 (text/plain, inline)]
clone #269 -1
reassign -1 x2goserver
tag -1 - rpm-packages
retitle -1 x2goruncommand uses hard-coded path to Xinerama libraries
thanks

... splitting up this one into two bus...

On Mi 24 Jul 2013 06:58:52 CEST Mike Gabriel wrote:

> 23:43 < dlmcob> On ubuntu install, these links are created in   
> /usr/lib/nx/X11/Xinerama
> 23:43 < dlmcob> and this path is hardcoded in x2goruncommand

The hard-coded path issue is an X2Go Server (x2goruncommand) issue and  
will get cloned into a new bug with this mail.

> 23:43 < dlmcob> however, in fedora install, these links (and the   
> directory) are never created.

The never created symlinks to the Xinerama libs is a RPM packaging  
issue (of the nx package). This issue remains as #269.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 269 cloned as bug 273 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libnx-x11' to 'x2goserver'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.5.0.20. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

Removed tag(s) rpm-packages. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

Changed Bug title to 'x2goruncommand uses hard-coded path to Xinerama libraries' from 'Xinerama not working on RPM based distros' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:01:34 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#273; Package x2goserver. (Sun, 28 Jul 2013 00:15:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 28 Jul 2013 00:15:55 GMT) Full text and rfc822 format available.

Message #27 received at 273@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 273-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 273@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sun, 28 Jul 2013 02:06:30 +0200 (CEST)
tag #273 pending
fixed #273 4.0.1.5
thanks

Hello,

X2Go issue #273 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6667eef

The issue will most likely be fixed in src:x2goserver (4.0.1.5).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 6667eefec14315a0f0c16041c973cedefddf0920
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun Jul 28 02:06:26 2013 +0200

    Do not hard-code paths to NX code in x2goruncommand anymore. Use x2gopath instead. (Fixes: #273).

diff --git a/debian/changelog b/debian/changelog
index 61dbf32..524abbd 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+x2goserver (4.0.1.5-0~x2go1) UNRELEASED; urgency=low
+
+  * New upstream version (4.0.1.5):
+    - Do not hard-code paths to NX code in x2goruncommand anymore. Use
+      x2gopath instead. (Fixes: #273).
+
+ -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 01:50:57 +0200
+
 x2goserver (4.0.1.4-0~x2go1) unstable; urgency=low
 
   [ Mike Gabriel ]


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#273; Package x2goserver. (Sun, 28 Jul 2013 00:15:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 28 Jul 2013 00:15:55 GMT) Full text and rfc822 format available.

Message #32 received at 273@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 273-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 273@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 28 Jul 2013 02:08:13 +0200 (CEST)
close #273
thanks

Hello,

we are very hopeful that X2Go issue #273 reported by you
has been resolved in the new release (4.0.1.5) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.5)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=535f26d44121c5c8dcd7d63d5f9b6077b9a4dff5;hp=7d15fe237308213fcc4af56de7f61bc60d387eb7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.5
Status: RELEASE
Date: Sun, 28 Jul 2013 02:06:47 +0200
Fixes: 273
Changes: 
 x2goserver (4.0.1.5) RELEASED; urgency=low
 .
   * New upstream version (4.0.1.5):
     - Do not hard-code paths to NX code in x2goruncommand anymore. Use
       x2gopath instead. (Fixes: #273).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:15:56 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:15:56 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 28 Jul 2013 00:15:56 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sun, 28 Jul 2013 00:15:56 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#273. (Sun, 28 Jul 2013 00:15:57 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#273. (Sun, 28 Jul 2013 00:15:57 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 25 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:23:33 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.